<?php
/**
 * include.php 
 *
 * Include file with some variables for the index.php. The include.php is there to keep the index.php slim and clear.
 * 
 * LICENSE: GNU General Public License Version 2
 *
 * @author		   Daniel Fuhrmannek http://danfuh.de
 * @copyright	   Daniel Fuhrmannek (c) March, 2010
 * @license		   URL to license used (http://www.gnu.org/licenses/gpl-2.0.html)
 * @license_terms  The reference to the author below the design (in the footer) and in the 
 *                 source code may not be modified or removed.
 * @template_name  DanFuh Business 02
 * @version		   0.1
 * @platform	   Website Baker 2.8.x
*/

/***************************************************************
************************ include.php ***************************
****************************************************************

****************************************************************
****************************************************************
***     _____              ______     _           _          ***
***    |  __ \            |  ____|   | |         | |         ***
***    | |  | | __ _ _ __ | |__ _   _| |__     __| | ___     ***
***    | |  | |/ _` | '_ \|  __| | | | '_ \   / _` |/ _ \    ***
***    | |__| | (_| | | | | |  | |_| | | | | | (_| |  __/    ***
***    |_____/ \__,_|_| |_|_|   \__,_|_| |_(_)___,_|\___|    ***
***    Template and Design by Daniel Fuhrmannek danfuh.de    ***
***                                                          ***
****************************************************************
****************************************************************

****************************************************************
****************************************************************
***   EN:                                                    ***
***   This is a include file (include.php) for the           ***
***   Website Baker Template "DanFuh Business 02".           ***
***                                                          ***
****************************************************************
***   DE:                                                    ***
***   Dieses ist eine Include-Datei (include.php) fr das    ***
***   Website Baker Template "DanFuh Business 02"            ***
***                                                          ***
****************************************************************
***************************************************************/

/**********************************************************
// EN: Redirect if this file is invoked directly          *
// DE: Umleitung, wenn diese Datei direkt aufgerufen wird *
**********************************************************/
if (!defined('WB_URL')) {
  header('Location: ../index.php');
  exit(0);
}

/*************************************************************************
* EN: Handover of WEBSITE_HEADER in the variable $website_header_output  *
* DE: bergabe des WEBSITE_HEADER in die Variable $website_header_output *
*************************************************************************/
$website_header_output = WEBSITE_HEADER;
$website_header_output = str_replace('
', '
          ', $website_header_output);
/************************************************************************/

/*************************************************************
* EN: Handover of the topmenu in the variable $menutop       *
* DE: bergabe des Top Mens (oben) in die Variable $menutop *
*************************************************************/
ob_start();   
show_menu2(1, SM2_ROOT, SM2_START, SM2_ALL, '<span class="[class]">[a][menu_title]</a>', '</span>', 'anfang', ''); 
$menutop=ob_get_contents(); 
$menutop = str_replace('<span', '  <span', $menutop);
$menutop = str_replace('</span>', '</span>
      ', $menutop);
$menutop = str_replace('anfang', '
      ', $menutop);
ob_end_clean();
/************************************************************/

/********************************************************
* EN: Handover of the submenu in the variable $menuside *
* DE: bergabe des Untermens in die Variable $menuside *
********************************************************/
ob_start();    
show_menu2(1, SM2_ROOT+1, SM2_CURR+1, SM2_TRIM, 
          '<li class="[class]"><a href="[url]" class="[class] men">[menu_title]</a>', '</li>', '<ul>', '</ul>');
$menuside=ob_get_contents();
$menuside = str_replace('<ul><li', '<ul>
              <li', $menuside);

$menuside = str_replace('</li><li', '</li>
              <li', $menuside);
$menuside = str_replace('</li></ul>', '</li>
            </ul>', $menuside);
ob_end_clean(); 
/*******************************************************/

/*************************************************************************
* EN: Handover of the page title in the variable $contenttitle           *
* DE: bergabe der Hauptinhalt berschrift in die Variable $contenttitle *
*************************************************************************/
ob_start();    
show_menu2(1, SM2_ROOT, SM2_MAX+0, SM2_CRUMB, '[menu_title]', '', '', '');
$contenttitle=ob_get_contents(); 
ob_end_clean(); 

ob_start();    
show_menu2(2, SM2_ROOT, SM2_MAX+0, SM2_CRUMB, '[menu_title]', '', '', '');
$contenttitle_footer=ob_get_contents(); 
ob_end_clean();

ob_start();    
show_menu2(3, SM2_ROOT, SM2_MAX+0, SM2_CRUMB, '[menu_title]', '', '', '');
$contenttitle_topmenu=ob_get_contents(); 
ob_end_clean();

if ($contenttitle == "") {
	if ($contenttitle_footer == "") {
		$contenttitle = $contenttitle_topmenu;
	} else {
		$contenttitle = $contenttitle_footer;
	}
} 


/************************************************************************/

/***************************************************************
* EN: Handover of the footer-menu in the variable $footermenu  *
* DE: bergabe des Fusszeilenmens in die Variable $footermenu *
***************************************************************/
ob_start();   
show_menu2(2, SM2_ROOT, SM2_START, SM2_ALL, '<span class="[class]">[a][menu_title]</a>', '</span>', 'anfang', ''); 
$footermenu=ob_get_contents(); 
$footermenu = str_replace('<span', '      <span', $footermenu);
$footermenu = str_replace('</span>', '</span>
      ', $footermenu);
$footermenu = str_replace('anfang', '
      ', $footermenu);
ob_end_clean();
/**************************************************************/

/***************************************************************
* EN: Handover of the topmenu in the variable $topmenu  *
* DE: bergabe des Fusszeilenmens in die Variable $topmenu *
***************************************************************/
ob_start();   
show_menu2(3, SM2_ROOT, SM2_START, SM2_ALL, '<span class="[class]">[a][menu_title]</a>', '</span>', 'anfang', ''); 
$topmenu=ob_get_contents(); 
$topmenu = str_replace('<span', '      <span', $topmenu);
$topmenu = str_replace('</span>', '</span>
      ', $topmenu);
$topmenu = str_replace('anfang', '
      ', $topmenu);
ob_end_clean();
/**************************************************************/

/****************************************************************
* EN: 1. Main content: Handover in the variable $content1output *
* DE: 1. Hauptinhalt: bergabe in die Variable $content1output  *
****************************************************************/
// 1. Hauptinhalt: bergabe in die Variable $content1output
ob_start();   
page_content(1);
$content1output=ob_get_contents(); 
$content1output = str_replace('
', '
              ', $content1output);
ob_end_clean();
/***************************************************************/

/********************************************************
* EN: 2. Block: Handover in the variable $block2output  *
* DE: 2. Block: bergabe in die Variable $block2output  *
********************************************************/
ob_start();   
page_content(2);
$block2output=ob_get_contents(); 
$block2output = str_replace('
', '
              ', $block2output);
ob_end_clean();
/*******************************************************/

/********************************************************
* EN: 3. Block: Handover in the variable $block3output  *
* DE: 3. Block: bergabe in die Variable $block3output  *
********************************************************/
ob_start();   
page_content(3);
$block3output=ob_get_contents();
$block3output = str_replace('
', '
              ', $block3output);
ob_end_clean();
/*******************************************************/

/********************************************************
* EN: 4. Block: Handover in the variable $block4output  *
* DE: 4. Block: bergabe in die Variable $block4output  *
********************************************************/
ob_start();   
page_content(4);
$block4output=ob_get_contents(); 
$block4output = str_replace('
', '
        ', $block4output);
ob_end_clean();
/*******************************************************/

/********************************************************
* EN: 5. Block: Handover in the variable $block5output  *
* DE: 5. Block: bergabe in die Variable $block5output  *
********************************************************/
ob_start();   
page_content(5);
$block5output=ob_get_contents(); 
$block5output = str_replace('
', '
            ', $block5output);
ob_end_clean();
/*******************************************************/

/********************************************************
* EN: 6. Block: Handover in the variable $block6output  *
* DE: 6. Block: bergabe in die Variable $block6output  *
********************************************************/
ob_start();   
page_content(6);
$block6output=ob_get_contents(); 
$block6output = str_replace('
', '
            ', $block6output);
ob_end_clean();
/*******************************************************/

/********************************************************
* EN: 7. Block: Handover in the variable $block7output  *
* DE: 7. Block: bergabe in die Variable $block7output  *
********************************************************/
ob_start();   
page_content(7);
$block7output=ob_get_contents(); 
$block7output = str_replace('
', '
            ', $block7output);
ob_end_clean();
/*******************************************************/

/********************************************************
* EN: 8. Block: Handover in the variable $block8output  *
* DE: 8. Block: bergabe in die Variable $block8output  *
********************************************************/
ob_start();   
page_content(8);
$block8output=ob_get_contents(); 
$block8output = str_replace('
', '
            ', $block8output);
ob_end_clean();
/*******************************************************/

/**************************************************************
* EN: Footer: Handover in the variable $page_footer_output    *
* DE: Fusszeile: bergabe in die Variable $page_footer_output *
**************************************************************/
// Fusszeile: bergabe in die Variable $page_footer_output
ob_start();   
page_footer();
$page_footer_output=ob_get_contents(); 
$page_footer_output = str_replace('
', '
              ', $page_footer_output);
ob_end_clean();
/*************************************************************/

/**********************************************************************
* EN: Meta-description:  Handover in the variable $description_output *
* DE: Meta-Beschreibung: bergabe in die Variable $description_output *
**********************************************************************/
ob_start();   
page_description();
$description_output=ob_get_contents(); 
ob_end_clean();
/*********************************************************************/

/**********************************************************************
* EN: Meta-keywords:  Handover in the variable $keywords_output       *
* DE: Meta-Schlsselwrter: bergabe in die Variable $keywords_output *
**********************************************************************/
ob_start();   
page_keywords();
$keywords_output=ob_get_contents(); 
ob_end_clean();
/*********************************************************************/

/*********************************************************************************
* EN: Check if ? exist in the URI, and if so, change it with a & in the variable *
*     $connection_symbol. This is needed for the print preview.                  *
* DE: Check if ? exist in the URI, and if so, change it with a & in the variable *
*     $connection_symbol. This is needed for the print preview.                  *
*********************************************************************************/
$url_output_string = $_SERVER["REQUEST_URI"];
  if(stristr($url_output_string, '?') === FALSE) {
	$connection_symbol = "?";
  } else {
	$connection_symbol = "&amp;";
  }
// EN: encoded ampersands in URL
// DE: die &-Zeichen in der URL kodieren
$url_output_string = str_replace('&', '&amp;', $url_output_string);
/********************************************************************************/

/*****************************************
* EN: START Language specific Variables  *
* DE: ANFANG Sprachspezifische Variablen *
*****************************************/
// EN: If German is set as the language:
// DE: Wenn Deutsch als Sprache eingestellt ist:
if(LANGUAGE == "DE") {
  $toplink = "Seitenanfang";
  $footerlink  = "\n          Designvorlage f&uuml;r WebsiteBaker von <a href=\"http://danfuh.de\" target=\"_blank\">";
  $footerlink .= "DanFuh</a>.<br />\n";
  $footerlink .= "          Dieses Template ist Ver&ouml;ffentlicht unter der ";
  $footerlink .= "<a href=\"http://www.gnu.de/documents/gpl-2.0.de.html\" target=\"_blank\">";
  $footerlink .= "GNU General Public License Version 2</a>\n";
  $printicon = "seite-drucken.jpg";
  $printtext = "Seite Drucken";
  $brand = '<!--
    _____              ______     _           _
   |  __ \            |  ____|   | |         | |
   | |  | | __ _ _ __ | |__ _   _| |__     __| | ___
   | |  | |/ _` | \'_ \|  __| | | | \'_ \   / _` |/ _ \
   | |__| | (_| | | | | |  | |_| | | | | | (_| |  __/
   |_____/ \__,_|_| |_|_|   \__,_|_| |_(_)___,_|\___|
   Template und Design von Daniel Fuhrmannek danfuh.de

   Dieses ist das Website Baker Template "DanFuh Business 02"
   
-->';
  $generator_output = "Website Baker CMS - Template-Design von Daniel Fuhrmannek (DanFuh.de)";
  $audience_output = "Alle";
  $content_language_output = "de";
  $comment_text_start = "ANFANG";
  $comment_text_end = "ENDE";
  $comment_text_content = "Hauptinhalt";
  $comment_text_header = "Kopfzeile";
  $comment_text_footer = "Fusszeile";
  $comment_text_submenu = "Untermenue";
  $comment_text_footermenu = "Fusszeilenmenue";
  $comment_text_topmenu = "Fusszeilenmenue";
  $text_css_valid = "CSS 2.1 ist valide!";
  $text_xhtml_valid = "Valides XHTML 1.0";
  $text_bread_navi = "Sie sind hier:";
  $text_menu_header = "Men&uuml;";
  $text_search_suffix = "n...";
} else {
// EN: If German is not set as language (english):
// DE: Wenn Deutsch nicht als Sprache eingestellt ist (Englisch):
  $toplink = "Top";
  $footerlink  = "\n        Design for WebsiteBaker by <a href=\"http://danfuh.de\" target=\"_blank\">";
  $footerlink .= "DanFuh</a>.<br />\n";
  $footerlink .= "        This template ist released under the ";
  $footerlink .= "<a href=\"http://www.gnu.de/documents/gpl-2.0.en.html\" target=\"_blank\">";
  $footerlink .= "GNU General Public License Version 2</a>\n";
  $printicon = "print-page.jpg";
  $printtext = "Print page";
  $brand = '<!--
    _____              ______     _           _
   |  __ \            |  ____|   | |         | |
   | |  | | __ _ _ __ | |__ _   _| |__     __| | ___
   | |  | |/ _` | \'_ \|  __| | | | \'_ \   / _` |/ _ \
   | |__| | (_| | | | | |  | |_| | | | | | (_| |  __/
   |_____/ \__,_|_| |_|_|   \__,_|_| |_(_)___,_|\___|
   Template and Design by Daniel Fuhrmannek danfuh.de

   This is the Website Baker template "DanFuh Business 02" 
   
-->';
  $generator_output = "Website Baker CMS - Template-Design by Daniel Fuhrmannek (DanFuh.de)";
  $audience_output = "all";
  $content_language_output = "en";
  $comment_text_start = "START";
  $comment_text_end = "END";
  $comment_text_content = "Main content";
  $comment_text_header = "Header";
  $comment_text_footer = "Page footer";
  $comment_text_submenu = "Sub menu";
  $comment_text_footermenu = "Footer menu";
  $comment_text_topmenu = "Topmenu";
  $text_css_valid = "Valid CSS 2.1";
  $text_xhtml_valid = "Valid XHTML 1.0 Transitional";
  $text_bread_navi = "You are here:";
  $text_menu_header = "Menu";
  $text_search_suffix = "ing...";
}
/***************************************
* EN: END Language specific Variables  *
* DE: ENDE Sprachspezifische Variablen *
***************************************/

/****************************************************************************
* EN: Handover of the breadcrumb navigation in the variable $breadcrumbnavi *
* DE: bergabe der Brotkrumenavigation in die Variable $breadcrumbnavi      *
****************************************************************************/
ob_start();  
$arrow_right = "<img src=\"".TEMPLATE_DIR."/images/arrow-right.gif\" border=\"0\" alt=\">\" />";
show_menu2(0, SM2_ROOT, SM2_CURR, SM2_CRUMB, '<span class="[class]"> '.
           $arrow_right.' [a][menu_title]</a>', '</span>', '', '', ''.
		   $text_bread_navi.' <span class="[class]">[a][menu_title]</a>');
$breadcrumbnavi=ob_get_contents(); 
ob_end_clean();
/***************************************************************************/
?>