<?php
/**
 * index.php 
 *
 * File with markup for template layout and Website Baker template functions.
 * 
 * LICENSE: GNU General Public License Version 2
 *
 * @author		   Daniel Fuhrmannek http://danfuh.de
 * @copyright	   Daniel Fuhrmannek (c) March, 2010
 * @license		   URL to license used (http://www.gnu.org/licenses/gpl-2.0.html)
 * @license_terms  The reference to the author below the design (in the footer) and in the 
 *                 source code may not be modified or removed.
 * @template_name  DanFuh Business 02
 * @version		   0.1
 * @platform	   Website Baker 2.8.x
*/

/***************************************************************
****************************************************************
***     _____              ______     _           _          ***
***    |  __ \            |  ____|   | |         | |         ***
***    | |  | | __ _ _ __ | |__ _   _| |__     __| | ___     ***
***    | |  | |/ _` | '_ \|  __| | | | '_ \   / _` |/ _ \    ***
***    | |__| | (_| | | | | |  | |_| | | | | | (_| |  __/    ***
***    |_____/ \__,_|_| |_|_|   \__,_|_| |_(_)___,_|\___|    ***
***    Template and Design by Daniel Fuhrmannek danfuh.de    ***
***                                                          ***
****************************************************************
***************************************************************/

// EN: START redirect if this file is invoked directly
// DE: ANFANG Umleitung, wenn diese Datei direkt aufgerufen wird
if (!defined('WB_URL')) {
  header('Location: ../index.php');
  exit(0);
}
// EN: END redirect if this file is invoked directly
// DE: ENDE Umleitung, wenn diese Datei direkt aufgerufen wird
require_once("includes.php"); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN<?php 
            ?>" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="<?php echo $content_language_output; ?>">
<?php echo $brand; ?> 
<head>
  <title><?php page_title(' ', '[WEBSITE_TITLE][SPACER][PAGE_TITLE]'); ?></title>
  
  <meta http-equiv="Content-Type" content="text/html; charset=<?php 
        if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
  <?php if ($description_output != "") { 
          echo "<meta name=\"description\" content=\"".$description_output."\" />\n"; 
  } ?>
  <?php if ($keywords_output != "") { echo "<meta name=\"keywords\" content=\"".$keywords_output."\" />\n"; } ?>
  <meta name="Generator" content="<?php echo $generator_output; ?>" />
  <meta name="audience" content="<?php echo $audience_output; ?>" />
  <meta http-equiv="content-language" content="<?php echo $content_language_output; ?>" />
  <meta name="robots" content="index, follow" />
<?php
	// EN: If print preview is displayed in the browser, print.css as shall used as media-screen.
	// DE: Bei Anzeige der Druckansicht im Browser soll die print.css als media-screen verwendet werden.
	$print_or_screen = (!array_key_exists('page', $_GET) || ($_GET['page']!='print')) ? 'print' : 'screen';
?>

  <link rel="stylesheet" href="<?php echo TEMPLATE_DIR; ?>/css/style.css" type="text/css" media="screen" />
  <link rel="stylesheet" href="<?php echo TEMPLATE_DIR; ?>/css/print.css" type="text/css" media="<?php 
        echo $print_or_screen ?>" />
  <link rel="shortcut icon" href="<?php echo TEMPLATE_DIR; ?>/images/favicon.ico" />
<?php
// EN: Links frontend.css and frontend.js of modules in the head of the template 
// DE: Verlinkt frontend.css und frontend.js von Module im Kopfbereich des Templates
if(function_exists('register_frontend_modfiles')) {
  register_frontend_modfiles('css');
  register_frontend_modfiles('js');
} ?>
</head>

<body>
  <div id="all_outer">
	<div id="topmenu">
	<?php 
	// EN: Topmenu: If multiple menus are enabled, the menu is displayed in the footer. 
	//     If not, display the page title.
	// DE: Fusszeilenmen: Wenn mehrere Mens eingeschaltet sind, wird das Men in der Fusszeile angezeigt.
	//     Wenn nicht, wird der Seitentitel anzeigen.
		if ((MULTIPLE_MENUS) AND ($topmenu != "")) { 
		echo "<!-- ".$comment_text_topmenu." ".$comment_text_start." -->";
		echo $topmenu;
		echo "    <!-- ".$comment_text_topmenu." ".$comment_text_end." -->\n";
	  } else { 
		echo " ";
		  echo WEBSITE_TITLE." - ".PAGE_TITLE."\n";
		echo "\n";
	  } ?>
	</div>
    <div id="header_outer">
      <div id="header">
        <div id="logo">
          <a href="<?php echo WB_URL; ?>">
            <img src="<?php echo TEMPLATE_DIR; ?>/images/logo.jpg" width="223" height="108" border="0" alt="<?php 
			     page_title('', '[WEBSITE_TITLE]'); ?>" />
          </a>
        </div>
        <?php 
	    // EN: Header: Only show if a header text exist
	    // DE: Kopfzeile: Nur Anzeigen wenn ein Headertext angegeben ist
        if (WEBSITE_HEADER) { 
        // EN: Header START - DE: Kopfzeile ANFANG
          echo "<!-- ".$comment_text_header." ".$comment_text_start." -->\n";
          echo "        <span id=\"header_text\">\n          ".$website_header_output."\n        </span>\n";
          echo "        <!-- ".$comment_text_header." ".$comment_text_end." -->\n";
        }
        // EN: Header END - DE: Kopfzeile ENDE ?>
       </div>
      </div>
      <div id="menu_outer">
        <div id="menu"><?php echo $menutop; ?> </div>
      </div>

      <div id="all_inner">

        <div id="main">
	    <?php echo "<div id=\"breadcrumb\">".$breadcrumbnavi."</div>"; // EN: breadcrumb navigation - DE: Brotkrumenavigation ?>
		<span id="content_header" <?php if(SHOW_SEARCH) { echo "style=\"width: 688px;\""; } ?> ><?php echo $contenttitle; ?></span>
		            <?php 
            // EN: Search: show only if the search is enabled 
            // DE: Suche: Nur anzeigen wenn die Suche eingeschaltet ist 
            if(SHOW_SEARCH) { 
              echo "\n          <!-- ".$TEXT['SEARCH']." ".$comment_text_start." -->\n";
              echo "            <form name=\"search\" action=\"".WB_URL."/search/index.php\" ";
              echo "method=\"post\" id=\"top_search\">\n";
              echo "                <input type=\"text\" name=\"string\" id=\"sidebar_search_form\" size=\"15\" ";
              echo "value=\"".$TEXT['SEARCH'].$text_search_suffix."\" ";
              echo "onblur=\"if(this.value=='') this.value='".$TEXT['SEARCH'].$text_search_suffix."'\" ";
              echo "onfocus=\"if(this.value=='".$TEXT['SEARCH'].$text_search_suffix."') this.value='';\" />\n";
              echo "                <input type=\"submit\" name=\"submit\" id=\"sidebar_search_submit\" ";
              echo "value=\"&nbsp;\" />\n";
              echo "            </form>\n";
              echo "          <!-- ".$TEXT['SEARCH']." ".$comment_text_end." -->";
            } ?> 
          <div id="content">
            <div id="content_inner">
              <?php 
              // EN: Block 2 display only if blocks are enabled and Block 2 is not emty
              // DE: Block 2 nur anzeigen wenn Blcke aktiviert sind Block 2 nicht leer ist
              if ((SECTION_BLOCKS) AND ($block2output != "")) {
              // EN: Block 2 START - DE: Block 2 ANFANG
                echo "<!-- Block 2 ".$comment_text_start." -->\n";
                echo "            <div id=\"block2output\">\n";
                echo "              ".$block2output."\n";
                echo "            </div>\n";
                echo "            <!-- Block 2 ".$comment_text_end." -->\n";
              // EN: Block 2 END - DE: Block 2 ENDE 
              } ?>
              <?php // EN: Main Content START - DE: Hauptinhalt ANFANG
                echo "\n            <!-- ".$comment_text_content." ".$comment_text_start." -->\n";
                echo "            ".$content1output;
                echo "\n            <!-- ".$comment_text_content." ".$comment_text_end." -->\n\n";
              // EN: Main Content END - DE: Hauptinhalt ENDE ?>
              <?php 
              // EN: Block 3 display only if blocks are enabled and Block 3 is not emty
              // DE: Block 3 nur anzeigen wenn Blcke aktiviert sind Block 3 nicht leer ist
              if ((SECTION_BLOCKS) AND ($block3output != "")) { 
              // EN: Block 3 START - DE: Block 3 ANFANG
                echo "<!-- Block 3 ".$comment_text_start." -->\n";
                echo "            <div id=\"block3output\">\n";
                echo "              ".$block3output."\n";
                echo "            </div>\n";
                echo "            <!-- Block 3 ".$comment_text_end." -->";
              // EN: Block 3 END - DE: Block 3 ENDE 
              } ?>
              <?php 
              // DE: Die Fusszeile nur anzeigen wenn auch ein Inhalt vorhanden ist
              if ($page_footer_output != "") {
              // EN: Page footer START - DE: Fusszeile ANFANG 
                echo "\n            <!-- ".$comment_text_footer." ".$comment_text_start." -->\n";
                echo "            <div id=\"content_footer\">\n";
                echo "              ".$page_footer_output."\n";
                echo "            </div>\n";
                echo "            <!-- ".$comment_text_footer." ".$comment_text_end." -->\n";
                // EN: Page footer END - DE: Fusszeile ENDE
              } ?>
            </div>
	  		<div id="toplink_print">
              <a href="<?php echo $_SERVER['REQUEST_URI'].$connection_symbol."page=print"; 
                     ?>"  onclick="window.print();return false;" target="_blank"><img src="<?php 
                     echo TEMPLATE_DIR; ?>/images/print.gif" alt="<?php echo $printtext; ?>" title="<?php 
                     echo $printtext; ?>" border="0" width="42" height="32"/></a>
              <a href="#all_outer"><?php echo $toplink; ?></a>
            </div>
		  </div>

          <div id="sidebar">
            <?php 
            // EN: Block 5 display only if blocks are enabled and Block 5 is not emty
            // DE: Block 5 nur anzeigen wenn Blcke aktiviert sind Block 5 nicht leer ist
            if ((SECTION_BLOCKS) AND ($block5output != "")) { 
              // EN: Block 5 START - DE: Block 5 ANFANG
              echo "<!-- Block 5 ".$comment_text_start." -->\n";
              echo "          <div id=\"block5output\">\n";
              echo "            ".$block5output."\n";
              echo "          </div>\n";
              echo "          <!-- Block 5 ".$comment_text_end." -->";
              // EN: Block 5 END - DE: Block 5 ENDE
            } ?>
            <?php 
            // EN: Sub menu: display only if sub menu items exist
            // DE: Untermen: nur anzeigen wenn Untermenpunkte existieren
            if ($menuside != "") { 
              // EN: Sub menu START - DE: Unterme ANFANG
              echo "\n          <!-- ".$comment_text_submenu." ".$comment_text_start." -->\n";
              echo "            <span class=\"sidebar_header\">".$text_menu_header."</span>\n";
              echo "          <div id=\"sidebar_menu\">\n";
              echo "            ".$menuside;
              echo "\n          </div>\n";
              echo "          <!-- ".$comment_text_submenu." ".$comment_text_end." -->\n";
              // EN: Sub menu END - DE: Unterme ENDE
            } ?>
            <?php
            // EN: Login or Logout: display only if enabled
            // DE: Login oder Logout: nur anzeigen wenn eingeschaltet
            if (FRONTEND_LOGIN) {
              echo "\n          <!-- Login / Logout ".$comment_text_start." -->\n";
              // EN: Login (if not logged in)
              // DE: Login (wenn nicht angemeldet)
              if(!$wb->is_authenticated()) { 
              echo "          <div id=\"menuside_login\">\n";
              echo "            <span class=\"sidebar_header\">".$TEXT['LOGIN']."</span>\n";
                // EN: Login START - DE: Login ANFANG
                echo "            <!-- ".$TEXT['LOGIN']." ".$comment_text_start." -->\n";
                echo "            <form name=\"login\" action=\"".LOGIN_URL."\" method=\"post\">\n";
                echo "              ".$TEXT['USERNAME'].":\n";
                echo "              <input type=\"text\" name=\"username\" id=\"sidebar_login_name\"/><br />\n";
                echo "              ".$TEXT['PASSWORD'].": <br />\n";
                echo "              <input type=\"password\" name=\"password\" id=\"sidebar_login_pass\"/><br />\n";
                echo "              <input type=\"submit\" name=\"submit\" value=\"".$TEXT['LOGIN']."\" ";
                echo "id=\"sidebar_login_submit\"/><br />\n";
                echo "              <a href=\"".FORGOT_URL."\">".$TEXT['FORGOT_DETAILS']."</a>\n";
                // EN: Sign-Up (if enabled)
                // DE: Anmeldung (wenn eingeschaltet)
                if(is_numeric(FRONTEND_SIGNUP)) { 
                  // EN: Sign-Up START - DE: Anmeldung ANFANG
                  echo "              <a href=\"".SIGNUP_URL."\">".$TEXT['SIGNUP']."</a>\n";
                  // EN: Sign-Up END - DE: Anmeldung ENDE
                }
                echo "            </form>\n";
                echo "            <!-- ".$TEXT['LOGIN']." ".$comment_text_end." -->\n";
              // EN: Login END - DE: Login ENDE
 
              // EN: Logout (if logged in)
              // DE: Logout (wenn angemeldet)
              } elseif($wb->is_authenticated()) {
              echo "          <div id=\"menuside_login\">\n";
              echo "            <span class=\"sidebar_header\">".$TEXT['LOGGED_IN']."</span>\n";
                // EN: Logout START - DE: Logout ANFANG
                echo "            <!-- ".$TEXT['LOGGED_IN']." ".$comment_text_start." -->\n";
                echo "            <form name=\"logout\" action=\"".LOGOUT_URL."\" method=\"post\">\n";
                echo "              ".$TEXT['WELCOME_BACK'].",<br /> <a href=\"".PREFERENCES_URL."\">\n";
                echo "              ".$wb->get_display_name()."</a><br />\n";
                echo "              <input type=\"submit\" name=\"submit\" value=\"".$MENU['LOGOUT']."\" ";
			    echo "id=\"sidebar_login_submit\"/>\n";
                echo "            </form>\n";
                echo "            <!-- ".$TEXT['LOGGED_IN']." ".$comment_text_end." -->\n";
              // EN: Logout END - DE: Logout ENDE
              } 
              echo "          </div>\n";
              echo "          <!-- Login / Logout ".$comment_text_end." -->";
            } ?>
			

            <?php 
            // EN: Block 6 display only if blocks are enabled 
            // DE: Block 6 nur anzeigen wenn Blcke aktiviert sind
            if ((SECTION_BLOCKS) AND ($block6output != "")) { 
              // EN: Block 6 START - DE: Block 6 ANFANG
              echo "<!-- Block 6 ".$comment_text_start." -->\n";
              echo "          <div id=\"block6output\">\n";
              echo "            ".$block6output."\n";
              echo "          </div>\n";
              echo "          <!-- Block 6 ".$comment_text_end." -->";
              // EN: Block 6 END - DE: Block 6 ENDE
            } ?>
          <div id="w3logos">
            <a href="http://validator.w3.org/check?uri=referer" target="_blank">
              <img src="<?php echo TEMPLATE_DIR; ?>/images/valid-xhtml10.gif" alt="<?php 
                echo $text_xhtml_valid; ?>" height="31" width="88" /></a>
            <a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank">
              <img src="<?php echo TEMPLATE_DIR; ?>/images/valid-css2.gif" alt="<?php echo $text_css_valid; ?>" /></a>
          </div>
            <?php 
            // EN: Block 7 display only if blocks are enabled 
            // DE: Block 7 nur anzeigen wenn Blcke aktiviert sind
            if ((SECTION_BLOCKS) AND ($block7output != "")) { 
              // EN: Block 7 START - DE: Block 7 ANFANG
              echo "\n          <!-- Block 7 ".$comment_text_start." -->\n";
              echo "          <div id=\"block7output\">\n";
              echo "            ".$block7output."\n";
              echo "          </div>\n";
              echo "          <!-- Block 7 ".$comment_text_end." -->";
            // EN: Block 7 END - DE: Block 7 ENDE
            } ?>	
		  
        </div>
      </div>
    </div>
    <div id="bottom_outer">
      <div id="bottom">
        <div id="bottom_inner">
          <div id="footermenu">
          <?php 
            // EN: Footer Menu: If multiple menus are enabled, the menu is displayed in the footer. 
            //     If not, display the page title.
            // DE: Fusszeilenmen: Wenn mehrere Mens eingeschaltet sind, wird das Men in der Fusszeile angezeigt.
            //     Wenn nicht, wird der Seitentitel anzeigen.
                if ((MULTIPLE_MENUS) AND ($footermenu != "")) { 
                echo "<!-- ".$comment_text_footermenu." ".$comment_text_start." -->";
                echo $footermenu;
                echo "    <!-- ".$comment_text_footermenu." ".$comment_text_end." -->\n";
              } else { 
                echo "  ";
                  page_title('', '[WEBSITE_TITLE]');
                echo "\n";
              } ?>
          </div>
        </div>
        <div id="licenselink"><?php echo $footerlink ?>        </div>
        <?php 
        // EN: Block 4 display only if blocks are enabled 
        // DE: Block 4 nur anzeigen wenn Blcke aktiviert sind
        if ((SECTION_BLOCKS) AND ($block4output != "")) { 
          // EN: Block 4 START - DE: Block 4 ANFANG
          echo "\n      <!-- Block 4 ".$comment_text_start." -->\n";
          echo "      <div id=\"block4output\">\n";
          echo "        ".$block4output."\n";
          echo "      </div>\n";
          echo "      <!-- Block 4 ".$comment_text_end." -->";
        // EN: Block 4 END - DE: Block 4 ENDE
        } ?>	
      </div>
    </div>
  </div>
</body>
</html>