<?php
/**
 * info.php 
 *
 * The info.php contains information for Website Baker - See changelog_en.txt for changes
 * 
 * LICENSE: GNU General Public License Version 2
 *
 * @author		   Daniel Fuhrmannek http://danfuh.de
 * @copyright	   Daniel Fuhrmannek (c) March, 2010
 * @license		   URL to license used (http://www.gnu.org/licenses/gpl-2.0.html)
 * @license_terms  The reference to the author below the design (in the footer) and in the 
 *                 source code may not be modified or removed.
 * @template_name  DanFuh Business 02
 * @version		   0.1
 * @platform	   Website Baker 2.8.x
*/

/***************************************************************
************************** info.php ****************************
****************************************************************

****************************************************************
****************************************************************
***     _____              ______     _           _          ***
***    |  __ \            |  ____|   | |         | |         ***
***    | |  | | __ _ _ __ | |__ _   _| |__     __| | ___     ***
***    | |  | |/ _` | '_ \|  __| | | | '_ \   / _` |/ _ \    ***
***    | |__| | (_| | | | | |  | |_| | | | | | (_| |  __/    ***
***    |_____/ \__,_|_| |_|_|   \__,_|_| |_(_)___,_|\___|    ***
***    Template and Design by Daniel Fuhrmannek danfuh.de    ***
***                                                          ***
****************************************************************
****************************************************************

****************************************************************
****************************************************************
***   EN:                                                    ***
***   This is the info file (info.php) for the               ***
***   Website Baker Template "DanFuh Business 02".           ***
***   See changelog_en.txt for changes                       ***
***                                                          ***
****************************************************************
***   DE:                                                    ***
***   Dieses ist info Datei (info.php) fr das              ***
***   Website Baker Template "DanFuh Business 02"            ***
***   nderungen stehen in der changelog_de.txt              ***
***                                                          ***
****************************************************************
***************************************************************/


/******************************
* EN: Language-texts          *
* DE: Sprachspezifische Texte *
******************************/
if(LANGUAGE == "DE") {
	$template_license_text       = "<a href=\"http://www.gnu.de/documents/gpl-2.0.de.html\" target=\"_blank\">
                                    GNU General Public License Version 2</a>";
	$menu1text = "Hauptmenue";
	$menu2text = "Fusszeilenmenue";
	$menu3text = "oberes Menue";
	$block1text ="Block 1: Hauptinhalt";
	$block2text ="Block 2: Block ueber Hauptinhalt";
	$block3text ="Block 3: Block unter Hauptinhalt";
	$block4text ="Block 4: Block unter der Seite";
	$block5text ="Block 5: Block in der Seitenleiste unter der Suche";
	$block6text ="Block 6: Block unter dem Login";
	$block7text ="Block 7: Block am Ende der Seitenleiste";
} else {
	$template_license_text       = "<a href=\"http://www.gnu.de/documents/gpl-2.0.en.html\" 
	                                target=\"_blank\">GNU General Public License Version 2</a>";
	$menu1text = "Mainmenu";
	$menu2text = "Footermenu";
	$menu3text = "Topmenu";
	$block1text ="Block 1: Main content";
	$block2text ="Block 2: Block above main content";
	$block3text ="Block 3: Block below main content";
	$block4text ="Block 4: Block below page";
	$block5text ="Block 5: Block in the sidebar below the search";
	$block6text ="Block 6: Block below login";
	$block7text ="Block 7: Block at the end of the sidebar";
}


/*********************************
* EN: About the Template         *
* DE: Informationen zum Template *
*********************************/
$template_directory   = "danfuh-business02"; 
$template_name        = "DanFuh Business 02 v0.1";
$template_version     = "0.1";
$template_platform    = "2.8.0"; /* EN: minimum requirement is Website Baker 2.8.0 - 
                                    DE: Mindestvoraussetzung ist Website Baker 2.8.0 */
$template_author      = "Daniel Fuhrmannek aka DanFuh | http://danfuh.de"; 
$template_license     = $template_license_text; /* GNU General Public License Version 2 */
$template_license_terms = "The reference to the author below the design (in the footer) and in the 
						   source code may not be modified or removed, unless permission in writing.";
/* EN: The reference to the author below the design (in the footer) and in the 
       source code may not be modified or removed, unless permission in writing.
   DE: Der Hinweis auf den Autor und die Links unterhalb des Designs drfen nicht verndert 
       oder entfernt werden, es sei denn es liegt eine schriftliche Erlaubnis vor. */
$template_description = "A simple CSS design in lightgray with yellow highlights. Extras: 7 blocks, 3 menus, breadcrumb navigation, print previewpreview, frontend login / sign-up, frontend search. - The reference to the author below the design (in the footer) and in the source code may not be modified or removed, unless permission in writing.";

/***********************
* EN: Blocks and Menus *
* DE: Blcke und Mens *
************************/
$menu[1]  = $menu1text;
$menu[2]  = $menu2text;
$menu[3]  = $menu3text;
$block[1] = $block1text;
$block[2] = $block2text;
$block[3] = $block3text;
$block[4] = $block4text;
$block[5] = $block5text;
$block[6] = $block6text;
$block[7] = $block7text;

?>